/*
Theme Name:   	Storefront Child Theme - Subscriptions
Theme URI:    	https://github.com/stuartduff/storefront-child-theme
Author:       	Norberto Alcantara
Author URI:	http://celulanerd.com.br
Template:     	storefront
Description:  	This is a Subscriptions child theme for WooThemes StoreFront theme
Version:      	1.0.0
License:      	GNU General Public License v2 or later
License URI:  	http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  	storefront
Tags:         	Subscriptions, black, white, light, two-columns, left-sidebar, right-sidebar, responsive-layout, custom-background, custom-colors, custom-header, custom-menu, featured-images, full-width-template, threaded-comments, accessibility-ready
This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.
Storefront is based on Underscores http://underscores.me/, (C) 2012-2014 Automattic, Inc.
Resetting and rebuilding styles have been helped along thanks to the fine work of
Eric Meyer http://meyerweb.com/eric/tools/css/reset/index.html
along with Nicolas Gallagher and Jonathan Neal http://necolas.github.com/normalize.css/
FontAwesome License: SIL Open Font License - http://scripts.sil.org/OFL
Images License: GNU General Public License v2 or later
*/
.float-right {
    float: right;
}
.width-auto {
    width: auto !important;
}
.d-inline-block
,#header .elementor-widget-wrap
{
    display: inline-block;
}

#header .elementor-element {
    --widgets-spacing: 0px;
}

body.page-id-249 #masthead {
    position: fixed !important;
    width: 100%;
    z-index: 500;
    box-shadow: 0px 5px 25px -10px black;
}
body.page-id-249 #content.site-content {
    padding-top: 130px;
} 

#content.site-content {
    padding-top: 30px;
}

div.first-payment-date {
    position: absolute;
    display: block;
    width: 200px;
    right: 15px;
}

#order_review {
    background-color: transparent;
}

.page-id-249 .woocommerce
,#payment ul.payment_methods
,.wcf-payment-option-heading
,.wc_payment_methods.payment_methods
,#order_review > table > tfoot > tr:nth-child(1)
,#order_review > table > tfoot > tr:nth-child(2)
,#order_review > table > tfoot > tr:nth-child(3)
,#order_review > table > tfoot > tr:nth-child(4)
,.wcf-cartflows-review-order-wrapper > table > tfoot > tr:nth-child(1)
{
    display: none !important;
}

#order_review .first-payment-date small {
    font-size: 70% !important;
    background-color: #FEDF2D;
    padding: 2px 4px;    
}

.wcf-embed-checkout-form table.shop_table thead tr th:nth-child(1),
.wcf-embed-checkout-form table.shop_table tbody tr td:nth-child(1),
.wcf-embed-checkout-form table.shop_table tfoot tr th:nth-child(1)
{
    width: 20%;
}
.wcf-embed-checkout-form.wcf-embed-checkout-form-modern-checkout .woocommerce-checkout #payment .form-row {
    background: transparent;
    margin-top: 0.6em;
    margin-bottom: 0.3em;
}
.order-total.recurring-total > td {
    position: relative;
}

.site-branding {
    width: 35.73913% !important;
/*    width: max-content !important;
    text-align: center !important;*/
    /*display: block;*/
    position: relative;
    margin: 0 !important;
    padding: 0 !important;
}
.site-header {
    padding-top: 0.617924em;
    /*margin-bottom: 2em;*/
}
.site-header .site-branding img {
    margin: 0 auto !important;
}

.site-header .site-logo-anchor img
, .site-header .site-logo-link img
, .site-header .custom-logo-link img {
    max-width: 240px !important;
}

.storefront-primary-navigation {
    position: absolute;
    right: 0px;
    top: 15px;
}
.site-header, .secondary-navigation ul ul
, .main-navigation ul.menu > li.menu-item-has-children:after
, .secondary-navigation ul.menu ul
, .storefront-handheld-footer-bar
, .storefront-handheld-footer-bar ul li > a
, .storefront-handheld-footer-bar ul li.search .site-search
, button.menu-toggle
, button.menu-toggle:hover 
{
    border: 0;
}
#site-navigation-menu-toggle {
    padding: 5px;   
}
#site-navigation-menu-toggle > span {
    display: none;
}
button.menu-toggle::before, button.menu-toggle::after, button.menu-toggle span::before  {
    left: 0em;
    margin-top: 0px;
 }
 .secondary-navigation {
    display: block !important;
    width: 100% !important;
    float: none !important;
    text-align: center !important;
    margin: 0 auto !important;
}
.secondary-navigation #menu-principal {
    text-align: center;
    float: none;
    display: flex;
    justify-content: space-around;
    margin-top: 1rem;
}

.secondary-navigation #menu-principal li {
    position: relative;
    display: block;
    text-align: left;
    max-width: 100%;
    margin: 0px 3px;
    width: 100%;
    text-align: center;
}

.secondary-navigation #menu-principal li a {
    background-color: #b177df5c;
}
.secondary-navigation #menu-principal li a:hover {
    background-color: #bfadcd5c;
}

.tgwc-user-info > a.button {
    display: none;
}

.tgwc-woocommerce-customize-my-account #tgwc-woocommerce[data-menu-style=sidebar] {
    margin-top: 1em;
}

.order.woocommerce-orders-table__row.woocommerce-orders-table__row--status-cancelled a.woocommerce-button.button {
    background-color: gray;
    color: black;
}

.woocommerce-account #main #site-content {
    width: 100%;
}

.order-again {
    display: none;
}
a.woocommerce-button.button,
.shop_table.subscription_details a.button {
    padding: 3px 7px;
    border: 1px solid;
    margin: 0px 5px 10px 0px;
    display: inline-block;
    border-radius: 5px;
}
a.woocommerce-button.button {
    background-color: greenyellow;
    color: green;
}
.order.woocommerce-orders-table__row.woocommerce-orders-table__row--status-cancelled a.woocommerce-button.button {
    background-color: gray;
    color: black;
}
.order.woocommerce-orders-table__row.woocommerce-orders-table__row--status-pending a.woocommerce-button.button {
    background-color: aqua;
    color: black;
}
 
.shop_table.subscription_details a.button.suspend {
    background-color: red;
    color: white;
}
.shop_table.subscription_details a.button.cancel {
    background-color: orange;
    color: white;
}
.shop_table.subscription_details a.button.change_payment_method {
    background-color: aqua;
    color: black;
}
.shop_table.subscription_details a.button.subscription_renewal_early {
    background-color: lightgreen;
    border-color: green;
    color: black;
}
.shop_table.subscription_details tbody tr:last-child td:first-child {
    background-color: greenyellow;
    vertical-align: middle;
    text-align: center;
    font-size: 24px;
    text-transform: uppercase;
    letter-spacing: 2px;
}

#primary.content-area,
.site-main,
.site-main .hentry {
    margin: 0;
}
.site-footer {
    padding: 1.618em 0 0.706326em;
}
.site-footer .site-info {
    padding: 0.617924em 0;
}
form {
    margin-bottom: 0;
}

.wpcf7-form textarea,
.wpcf7-form select,
.wpcf7-form input {
    border: 1px solid #9c4cd8;
    padding: 2px 5px;
    min-width: 250px;
}

.wpcf7-textarea {
    resize: none;
    height: 110px;
}

#generated_coupon_data_container #sc-cc .sc-coupon {
    min-width: 360px;
    max-width: 600px;
}

#generated_coupon_data_container #sc-cc .gap-1 {
    grid-gap: 1.25rem !important;
    gap: 1.25rem !important;
}
#generated_coupon_data_container #sc-cc .text-sm {
    font-size: 2.875rem !important;
}

#generated_coupon_data_container #sc-cc .leading-none {
    display: block;
    font-size: 1em;
}
#generated_coupon_data_container #sc-cc .w-5 {
    height: 5.25rem;
    width: 5.25rem;
    margin-right: 15px;
}

body.page-id-249 .secondary-navigation
,body.woocommerce-checkout .secondary-navigation
{
    display: none !important;
}

body.page-id-249 .site-header {
    margin-bottom: 0em;
}

body.page-id-249 .card-body p
{
    margin: 0 0 0.41575em;
}

body.page-id-249 .card-body a {
    text-decoration: none;
    color: black;
}

body.page-id-249 .card-body a p
{
    margin: 0 !important;
}

body.page-id-249 .card-body .form-check {
    position: relative;
    padding-left: 0px;
    width: 98%;
}
body.page-id-249 .card-body .form-check-label {
    margin: 0;
    min-height: 50px;
    padding-right: 50px !important;
    cursor: pointer;
}

body.page-id-249 .card-body .form-check-label:not(.disabled):hover,
body.page-id-249 .card-body .form-check-label:not(.disabled):active,
body.page-id-249 .card-body .form-check input[type="radio"]:not(.disabled):checked+label
,body.page-id-249 .card-body .form-check input[type="radio"]:not(.disabled):hover:checked+label
{
    color: #9c4cd8;
    border-color: #9c4cd8 !important;
    z-index: 998;
}
body.page-id-249 .card-body .form-check input[type="radio"]:not(.disabled):hover+label
{
    color: #9c4cd8;
    border-color: #9c4cd882 !important;
}

body.page-id-249 .card-body .form-check input[type="radio"]:checked+label.cnSuccess
,body.page-id-249 .card-body .form-check input[type="radio"]:hover:checked+label.cnSuccess
,body.page-id-249 .card-body .form-check input[type="radio"]+label.cnSuccess
,body.page-id-249 .card-body .form-check input[type="radio"]:hover+label.cnSuccess
{
    border: 3px dashed yellowgreen !important;
    color: yellowgreen;
    opacity: 1 !important;
}
body.page-id-249 .card-body .form-check input[type="radio"].cnSuccessRadio:checked
,body.page-id-249 .card-body .form-check input[type="radio"].cnSuccessRadio:hover:checked
,body.page-id-249 .card-body .form-check input[type="radio"].cnSuccessRadio
,body.page-id-249 .card-body .form-check input[type="radio"].cnSuccessRadio:hover
{
    opacity: 1 !important;
    border: 2px solid yellowgreen !important;
    outline: 2px solid yellowgreen !important;
    box-shadow: 0px 0px 50px 15px yellowgreen !important;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' viewBox='-10 -10 64.56 64.56'%3E%3Cpath d='M23.297 38.74a6.563 6.563 0 0 1-10.16.499L1.308 26.112a5.083 5.083 0 1 1 7.551-6.805l8.369 9.288a.617.617 0 0 0 .956-.047L35.386 5.217a5.083 5.083 0 1 1 8.181 6.032L23.297 38.74z'/%3E%3C/svg%3E"), yellowgreen;
}

body.page-id-249 .card-body .form-check input[type="radio"]:checked+label.cnError
,body.page-id-249 .card-body .form-check input[type="radio"]:hover:checked+label.cnError
{
    border: 3px dashed red !important;
    color: red;
    cursor: default;
}
body.page-id-249 .card-body .form-check input[type="radio"].cnErrorRadio:checked
,body.page-id-249 .card-body .form-check input[type="radio"].cnErrorRadio:hover:checked
{
    color: black;
    cursor: default;
    opacity: 1 !important;
    border: 2px red !important;
    outline: 2px solid red !important;
    box-shadow: 0px 0px 50px 15px red !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-color: red;
    /*background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' viewBox='-10 -10 64.56 64.56'%3E%3Cpath d='M23.297 38.74a6.563 6.563 0 0 1-10.16.499L1.308 26.112a5.083 5.083 0 1 1 7.551-6.805l8.369 9.288a.617.617 0 0 0 .956-.047L35.386 5.217a5.083 5.083 0 1 1 8.181 6.032L23.297 38.74z'/%3E%3C/svg%3E"), red;*/
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M310.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L160 210.7 54.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L114.7 256 9.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L160 301.3 265.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L205.3 256 310.6 150.6z'/%3E%3C/svg%3E");
}

body.page-id-249 .card-body .form-check input[type="radio"] {
    z-index: 100;
    float:none;
    opacity: 1 !important;
    margin-left:0;
    position: absolute;
    right: -23px;
    top: -6px;
    -webkit-appearance: none;
    width: 70px;
    height: 70px;
    background: #dee2e6;
    border: 8px solid grey;
    border-radius: 4.3em;
    border-left: 6px !important;
    transition: background 300ms, border-color 700ms, box-shadow 500ms;
}

body.page-id-249 .card-body .form-check input[type="radio"].disabled
,body.page-id-249 .card-body .form-check input[type="radio"].disabled+label
{
    cursor: default !important;
}

body.page-id-249 .card-body .form-check input[type="radio"]:not(.disabled):hover {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' viewBox='-10 -10 64.56 64.56'%3E%3Cpath d='M23.297 38.74a6.563 6.563 0 0 1-10.16.499L1.308 26.112a5.083 5.083 0 1 1 7.551-6.805l8.369 9.288a.617.617 0 0 0 .956-.047L35.386 5.217a5.083 5.083 0 1 1 8.181 6.032L23.297 38.74z'/%3E%3C/svg%3E"), #9c4cd8;
    background-repeat: no-repeat;
    border: 2px solid #9c4cd882;
    background-position: center;
    cursor: pointer;
    outline: 2px solid #9c4cd882;
    outline-offset: 2px;
}

body.page-id-249 .card-body .form-check input[type="radio"]:focus {
    outline: 2px solid #9c4cd8;
    outline-offset: 2px;
}

body.page-id-249 .card-body .form-check input[type="radio"]:checked {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' viewBox='-10 -10 64.56 64.56'%3E%3Cpath d='M23.297 38.74a6.563 6.563 0 0 1-10.16.499L1.308 26.112a5.083 5.083 0 1 1 7.551-6.805l8.369 9.288a.617.617 0 0 0 .956-.047L35.386 5.217a5.083 5.083 0 1 1 8.181 6.032L23.297 38.74z'/%3E%3C/svg%3E"), #9c4cd8;
    background-repeat: no-repeat;
    border: 2px solid #9c4cd8;
    background-position: center;
    -webkit-box-shadow: 0px 0px 50px 15px #9c4cd8;
    -moz-box-shadow: 0px 0px 50px 15px #9c4cd8;
    box-shadow: 0px 0px 50px 15px #9c4cd8;
    outline: 2px solid #9c4cd8;
    outline-offset: 2px;
    z-index: 200;
}

body.page-id-249 footer 
,body.page-id-249 .edit-link
{ display: none; }

#btnCnRespond
,#btnCnRespond:active
,#btnCnRespond:focus
{
    letter-spacing: 0px;
    font-size: 22px;
    padding: 5px 10px;
        
    position: fixed;
    bottom: 0;
    z-index: 400;
    display: block;
    width: 100%;
    max-width: 100%;
    background-color: #fedf2d;
    right: 0;
    left: 0;
    margin: 0 auto;
    text-align: center;
    color: #9c4cd8;
    text-transform: uppercase;
    outline: none;
    transition: background-color 300ms, box-shadow 500ms, font-weight 500ms;
    text-decoration: none !important;
    outline: none;
    font-weight: 700;
}

#btnCnRespond:hover
{
    -webkit-box-shadow: 0px -19px 40px -10px #fedf2d;
    -moz-box-shadow: 0px -19px 40px -10px #fedf2d;
    box-shadow: 0px -19px 40px -10px #fedf2d;
    background-color: #ffd900;
    color:#9c4cd8;
    text-decoration: none;
    outline: none;
    font-weight: 700;
}

#btnCnRespond strong {
    background-image: url(../../plugins/celulanerd-enem-quiz/assets/navigation-bg1.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    color: #fff;
    padding: 4px 10px;
    vertical-align: baseline;
    font-size: 31px;
    margin-left: 10px;
    text-decoration: none !important;
    font-weight: normal;
}

#btnCnRespond:hover strong {
    /*zoom: 1.2;*/
}

#counter {
    position: relative;
    display: inline-block;
    width: 50%;
}

#counter .gamipress-inline-points-cnerd {
    position: relative;
    padding: 0em 1.5em 0em 1em;
}

#counter .gamipress-inline-points-wrapper {
    display: inline-block !important;
    position: relative !important;
    background-image: url(../../plugins/celulanerd-enem-quiz/assets/btn-signup.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center right;
    text-align: right;
    color: yellow;
    font-size: 20px;
    vertical-align: text-bottom;
    z-index: 9999;
    min-width: 160px;
    display: block;
    margin-right: 0em;
}

#counter .gamipress-inline-points-cnerd-amount {
    font-size: 40px;
    position: relative;
} 
   
#counter .gamipress-inline-points-cnerd-label {
    position: absolute;
    bottom: -12px;
    right: 12px;
    font-size: 12px;
    font-style: italic;
    font-weight: normal;
    opacity: .8;
    letter-spacing: 1px;
}

#putPoints {
    position: absolute;
    right: 185px;
    /*right: 147px;*/
    top: 3px;
    z-index: 50000;
    padding: 10px 15px;
    border: 4px dotted yellow;
    color: yellow;
    font-size: 2em;
    border-radius: 50%;
    display: block;
    line-height: 32px;
}
#putPoints.cnSub {
    border: 4px dotted #f1be1f;
    color: darkorange;
    background-color: #f1be1f6b;
    color: #fff;
}

.animate__repeat-5 {
  --animate-repeat: 5;
}
.right-3 {
    right: 3em;
}

#boxMotivo {
    bottom: 100px;
}

.btn-link,
.btn-link:hover {
    background: none;
    border: 0;
}

#carregar {
    display: none;
    z-index: 200;
    background-color: #ccc;
    opacity: .5;
    position: absolute;
    width: 100%;
    height: 100%;
    text-align: center;
    font-size: 5em;
    color: #000;
}

#offcanvasWithBothOptions img,
#questaoMathJax img {
    display: inline-block;
}

dbody.page-id-249 .elementor-widget:not(:last-child) {
    margin-bottom: 0px !important;
}

@media (min-width: 768px) {
    .site-header .site-branding img {
        max-width: 420px !important;
    }
    
    .right-sidebar .content-area {
        width: 100%;
        float: none;
        margin-right: 0;
    }    

    #counter .gamipress-inline-points-wrapper {
        margin-right: 2em;
    }
    
    #btnCnRespond
    ,#btnCnRespond:active
    ,#btnCnRespond:focus
    {
        letter-spacing: 5px;
        font-size: 25px;
        padding: 15px;
    }
    
    #btnCnRespond strong {
        font-size: 35px;
    }
    
/*    #counter {
        width: 100%;
    }*/
}

@media (max-width: 768px) {
    
    body.page-id-249 #content.site-content {
        padding-top: 105px;
    }
    
    body.page-id-249 #content.site-content > .col-full {
        margin-left: 0.2em !important;
        margin-right: 0.2em !important;
    }
    
    body.page-id-249 #questaoMathJax .card-body > .pt-2 {
        padding-top: 0px !important;
    }
    
    body.page-id-249 #questaoMathJax .card-body {
        padding: 0.5rem 0.5rem !important;
    }
    
    .offcanvas {
        max-width: 75% !important;
    }
    
    h3#offcanvasWithBothOptionsLabel {
        font-size: 1.2em !important;
    }
    
}